PySyntaxError (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PySyntaxError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.python.core.PyException
                              |
                              +--org.python.core.PySyntaxError

All Implemented Interfaces:
  java.io.Serializable

public class PySyntaxError
extends PyException

A convience class for creating Syntax errors. Note that the syntax error is still taken from Py.SyntaxError.

Generally subclassing from PyException is not the right way of creating new exception classes.

See Also:
  Serialized Form

Field Summary
`boolean` | `forceNewline`

Fields inherited from class org.python.core.PyException
`traceback, type, value`

Constructor Summary
`PySyntaxError(java.lang.String s, int line, int column, java.lang.String text, java.lang.String filename)`
`PySyntaxError(java.lang.String s, int line, int column, java.lang.String text, java.lang.String filename, boolean forceNewline)`

Methods inherited from class org.python.core.PyException
`instantiate, printStackTrace, printStackTrace, super__printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### forceNewline

    public boolean forceNewline

Constructor Detail

### PySyntaxError

    public PySyntaxError(java.lang.String s,
                         int line,
                         int column,
                         java.lang.String text,
                         java.lang.String filename)

### PySyntaxError

    public PySyntaxError(java.lang.String s,
                         int line,
                         int column,
                         java.lang.String text,
                         java.lang.String filename,
                         boolean forceNewline)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage